%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-node-stringprep
Version:    0.1.8
Release:    1%{?dist}
Summary:    ICU StringPrep profiles for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/astro/node-stringprep
Source0:    http://registry.npmjs.org/node-stringprep/-/node-stringprep-%{version}.tgz

# Do not hardcode build/Release in "main" to comply with packaging guidelines.
Patch0:     %{name}-0.1.8-do-not-hardcode-build-release.patch
# Fix hanging test
Patch1:     %{name}-0.1.8-Fix-hanging-test.patch

BuildRequires:  nodejs-packaging
BuildRequires:  node-gyp
BuildRequires:  libicu-devel

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches}
%else
ExclusiveArch: %{ix86} x86_64 %{arm}
%endif

%description
This module exposes predefined Unicode normalization functions that are
required by many protocols. This is just a binding to ICU, which is said
to be fast.


%prep
%setup -q -n package
%patch0 -p1
%patch1 -p1


%build
export CXXFLAGS="%{optflags}"
node-gyp configure
node-gyp build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/node-stringprep
cp -p package.json \
    %{buildroot}%{nodejs_sitelib}/node-stringprep
install -p -D -m0755 build/Release/node_stringprep.node \
    %{buildroot}%{nodejs_sitelib}/node-stringprep/node-stringprep.node

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs leakcheck.js
%endif


%files
%doc LICENSE README.markdown
%{nodejs_sitelib}/node-stringprep


%changelog
* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.8-1
- update to upstream release 0.1.8
- add ExclusiveArch logic
- enable tests

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.5-5
- rebuild for missing npm(node-stringprep) provides on EL6

* Sun Mar 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-4
- remove npm(bindings) from Requires

* Sun Mar 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-3
- remove dependencies on v8 as these are now automatic
- remove redundant comments
- add libicu-devel to BuildRequires
- fix the test in %%check
- move library to %%{nodejs_sitelib}/node-stringprep/node-stringprep.node
  to comply with packaging guidelines

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-2
- make use of %%nodejs_fixdep

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.5-1
- initial package
